- entityDefinitions:
  - IDI_Task_CircuitBreaker_Edit:    '{776a090c-d439-4289-9be2-a5e9289ff6c0}'
  - IDE_CircuitBreaker_Edit:        '{5b77ca09-e966-434d-a2c9-af66b6cafd15}'

  - IDE_CircuitBreaker_Edit_Start: '{698f6ced-f934-47ec-8eb0-b16a0724c993}'
  - IDM_CircuitBreaker_Edit_Start: '{9283291e-6d46-4bb1-81ef-e00390208887}'
  - IDM_CircuitBreaker_Edit: '{93d405a2-32a1-46c2-8d41-868c0d60a74a}'
  - IDMB_CircuitBreaker_Edit: '{50db3715-178f-4814-aa31-d704b1d016fb}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - sequenceTask: '&IDI_Task_CircuitBreaker_Edit;'
    name: 'Edit Circuit Breaker'
    initiatingElement: '&IDE_CircuitBreaker_Edit_Start;'
    taskCategory: '&IDI_TaskCategory_CircuitBreaker;'

  - controlTransactionMethod: '&IDM_CircuitBreaker_Edit_Start;'
    forClassId: '&IDC_CircuitBreaker;'
    verb: ''
    name: 'Circuit Breaker Edit Start'
    buildsResponseWithBRMB: '&IDMB_CircuitBreaker_Edit;'

  - element: '&IDE_CircuitBreaker_Edit_Start;'
    name: 'Edit Circuit Breaker Start'
    processedByCTMethod: '&IDM_CircuitBreaker_Edit_Start;'
    elementContents:
    - globalIdentifier: '{44220b9f-be63-4726-ae2a-c77c8ee3c126}'
      defaultDataType: '&IDE_CircuitBreaker_Select;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'

  - element: '&IDE_CircuitBreaker_Edit;'
    name: 'Edit Circuit Breaker'
    elementContents:
    - globalIdentifier: '{aff485ba-8576-41ce-ba45-afa8ab8de9cd}'
      defaultDataType: '&IDC_CircuitBreaker;'
      label: 'Circuit Breaker'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_DoNotShow;'
    - globalIdentifier: '{38a44345-afc5-447d-ad90-0098381f23ea}'
      defaultDataType: '&IDE_CircuitBreaker_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'

  - buildUIResponseMethod: '&IDM_CircuitBreaker_Edit;'
    usesExecutableReturningElement: '&IDE_CircuitBreaker_Edit;'

  - buildResponseMethodBinding: '&IDMB_CircuitBreaker_Edit;'
    executesMethod: '&IDM_CircuitBreaker_Edit;'
